/**
  *  \file client/widgets/reginfo.h
  *  \brief WRegInfoDisplay widget
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_REGINFO_H
#define PCC_V2_CLIENT_WIDGETS_REGINFO_H

#include "game/reg.h"
#include "ui/ui.h"

class Directory;

/** Registration information display. Shows information about a
    GRegInfo in human-readable format. The object can also be blanked
    to tell the user that there is no usable information (as opposed
    to displaying that information was expected but not found).

    \todo make it interactive? click to receive a dialog? */
class WRegInfoDisplay : public UIWidget {
    bool is_clear;
    GRegInfo reg_info;
 public:
    WRegInfoDisplay();
    ~WRegInfoDisplay();

    void getLayoutInfo(LayoutInfo& li);
    void drawContent(GfxCanvas& can);

    void clear();
    void initFromDirectory(Directory& dir);
    void initRegInfo(const GRegInfo& info);
};

#endif
