/**
  *  \file ui/keystring.h
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_KEYSTRING_H
#define PCC_V2_UI_KEYSTRING_H

#include "ui/ui.h"

/** Handle for "a key and a string". Intended for locale-aware passing
    around of those pairs.

    \todo Right now, parses just the first character from a string. A
    future version would parse this information in a more
    sophisticated way to allow true internationalisation. */
class UIKeyString {
    UIKey     k;
    string_t  s;
 public:
    UIKeyString(const char* s);
    UIKeyString(const string_t& s);
    ~UIKeyString();

    /** Get string. This one is displayed. */
    const string_t& getString() const
        { return s; }
    /** Get key. This one is used to trigger this function. */
    UIKey getKey() const
        { return k; }
};

#endif
