/**
  *  \file ui/widgets/quit.cc
  *  \brief Class UIQuit
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "ui/widgets/quit.h"
#include "ui/event.h"

UIQuit::UIQuit(int command)
    : UIFixedWidget(0),
      command(command)
{ }
      
UIQuit::~UIQuit()
{ }

bool
UIQuit::handleEvent(const UIEvent& event, bool second_pass)
{
    if (event.type == ev_Key && event.key.code == vk_Quit) {
        stop(command);
        putKey(vk_Quit);
        return true;
    } else {
        return UIFixedWidget::handleEvent(event, second_pass);
    }
}

void
UIQuit::drawContent(GfxCanvas& /*can*/)
{ }
